RequestInfo (Java Platform SE 8 )
Keywords: org.omg.PortableInterceptor.RequestInfo interface
Date: 2016-12-09

org.omg.PortableInterceptor

## Interface RequestInfo

- All Superinterfaces:
    IDLEntity, Object, RequestInfoOperations, Serializable
  All Known Subinterfaces:
    ClientRequestInfo, ServerRequestInfo

      public interface RequestInfo
      extends RequestInfoOperations, Object, IDLEntity

  Request Information, accessible to Interceptors.

  Each interception point is given an object through which the Interceptor can access request information. Client-side and server-side interception points are concerned with different information, so there are two information objects: `ClientRequestInfo` is passed to the client-side interception points and `ServerRequestInfo` is passed to the server-side interception points. But there is information that is common to both, so they both inherit from a common interface: `RequestInfo`.

  See Also:
    `ClientRequestInfo`, `ServerRequestInfo`

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations

      `arguments, contexts, exceptions, forward_reference, get_reply_service_context, get_request_service_context, get_slot, operation_context, operation, reply_status, request_id, response_expected, result, sync_scope`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.